Description

During operations like loading WMS or WFS the process bar is not well visible. | think the progress bar should be much visible
especially in the cases where the processes can be slow due to network problems or to elaborations that are time consuming.

Associated revisions

Revision 1384 - 02/15/2016 12:13 AM - Joaquin del Cerro Murciano

refs #4106, recortado el tamafio de la etiqueta de la barra de tareas

History

#1 - 02/11/2016 10:13 PM - Alvaro Anguix
- Tracker changed from gvSIG bugs to gvSIG feature requests

#2 - 02/12/2016 10:13 AM - Antonio Falciano
- File progress_bar.png added

| attach a screenshot showing clearly the issue: the taskStatus title can be too long, especially on laptops, and so it can hide the graphical component
of the progress bar.
One possible solution in order to improve the visibility of the progress bar could be:

- place the taskStatus title and message on the left side of the status bar;

- leave the graphical component of the progress bar in the right side of the status bar, but considering a fixed width this time.
Another improvement (or another feature request?) could be to associate a taskStatus to the web service connections in order to understand if they are
really working or not.
#3 - 02/15/2016 07:35 AM - Joaquin del Cerro Murciano
- Target version changed from 2.3.0-2422 (rev. org.gvsig.desktop-2.0.128) to 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153)
#4 - 02/18/2016 11:58 AM - Antonio Falciano
Hi Joaquin,
the progress bar is now visible thanks to gvsig-tools:r1384 and its width can change only when the label text is very short. Is it a first approximation or

the final fix? Is it possible to consider the taskStatus title like an application message on left side of status bar, instead of an unreadable abbreviated

text? The tooltip is not much responsive sometimes.
#5 - 02/24/2016 02:17 PM - Alvaro Anguix
- Target version deleted (2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153))

Yes, it's a first approximation of the solution. After gvSIG 2.3 final we'll improve the usability

#6 - 04/20/2020 02:02 PM - Alvaro Anguix

- Status changed from New to Closed

Files

progress_bar.png 7.28 KB 02/12/2016 Antonio Falciano
